@mixin shadow($variant: 'sm') {
  @if ($variant == 'sm') {
    box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.05);
  }

  @if ($variant == 'base') {
    box-shadow: 0px 1px 2px -1px rgba(0, 0, 0, 0.10), 0px 1px 3px 0px rgba(0, 0, 0, 0.10);
  }

  @if ($variant == 'md') {
    box-shadow: 0px 2px 4px -2px rgba(0, 0, 0, 0.10), 0px 4px 6px -1px rgba(0, 0, 0, 0.10);
  }

  @if ($variant == 'lg') {
    box-shadow: 0px 4px 6px -4px rgba(0, 0, 0, 0.10), 0px 10px 15px -3px rgba(0, 0, 0, 0.10);
  }

  @if ($variant == 'xl') {
    box-shadow: 0px 8px 10px -6px rgba(0, 0, 0, 0.10), 0px 20px 25px -5px rgba(0, 0, 0, 0.10);
  }

  @if ($variant == '2xl') {
    box-shadow: 0px 25px 50px -12px rgba(0, 0, 0, 0.25);
  }

  @if ($variant == 'inner') {
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.05) inset;
  }
}